Updated travis to run using xcode 9.2 (#676)

Authored by khandpur on Feb 5 2018, 10:18 PM.

Description

Updated travis to run using xcode 9.2 (#676)

  • Updated travis to 9.3
  • update sdk to 11.2
  • fix error and update sim runtime for Xcode 9.2 runs
  • iOS 11 is changed to 11.0.1 for Xcode 9.2

Fix for failure caught on travis as it's missing 11.0 instead it has 11.0.1

  • Add installation of cocoapods to travis script

Seems to be missing it from Xcode 9.2 machines:
https://travis-ci.org/google/EarlGrey/jobs/334905483

+pod install --project-directory=Demo/EarlGreyExample
Scripts/travis.sh: line 104: pod: command not found
  • runtime 10.3 => 10.3.1 for Xcode 9.2

Travis doesn't have 10.3 on machines that have Xcode 9.2 installed.

Details

Committed
Aditya Atul Tirodkar <tirodkar@users.noreply.github.com>Feb 5 2018, 10:18 PM
Parents
R23:d1f48ddee051: Update FAQ to use HTML 5 details
Branches
Unknown
Tags
Unknown